Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

Where do I get an updated version of the PHP pam_auth module? Can't find it on yum and the latest version I can find to download is for PHP 4.3.

share|improve this question

1 Answer 1

I was looking for the answer to this myself, and eventually wound up having to solve it myself. Since I'd found this question earlier in my searches, I figured I'd provide what worked for me :)

  1. Download the pam_auth source from http://svn.php.net/viewvc/pecl/pam/trunk/ (or for convenience I have zipped the latest files, current as of revision 324283, here)

  2. Change into the directory you've downloaded/unzipped/etc the files into, and run the following commands:

    • phpize
    • ./configure
    • make
    • make install
  3. Add extension=pam.so to your php.ini

  4. Restart Apache; use phpinfo() to ensure the PAM module is running.

When verifying via phpinfo(), there should be a section like so:

pam

I successfully installed pam_auth on CentOS 5.6/Apache 2.2.3/PHP 5.3.10 using the above instructions; hopefully it will work just as well on CentOS 6. Good luck!

share|improve this answer
    
Doktor's process worked well, thanks for the help. On a minimal base install, I also needed to run: yum install gcc yum install pam-devel yum install make –  user139070 Sep 30 '12 at 18:00
    
Thank you, works on Debian too! (Just had to move the extension to my extension dir) after make install. –  Devator Apr 18 '13 at 7:43

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.